Summary:         Fast data collector for Linux
Name:            fluent-bit
Version:         2.1.8
Release:         2%{?dist}
License:         ASL 2.0
URL:             https://github.com/fluent/fluent-bit
Source0:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
 
Patch3000: 0001-CMake-fix-up-install-paths.patch

BuildRequires: pkgconfig make cmake systemd-rpm-macros systemd-devel gcc-c++ flex
BuildRequires: bison doxygen graphviz libpq-devel zlib-devel gnutls-devel
BuildRequires: openssl-devel cyrus-sasl-devel libyaml-devel
%{?systemd_requires}

ExcludeArch: loongarch64
 
%description
Fluent Bit is a high performance and multi-platform log forwarder.
 
%prep
%autosetup -p1
 
%build
%cmake\
    -DCMAKE_BUILD_TYPE=RelWithDebInfo\
    -DFLB_EXAMPLES=Off\
    -DFLB_OUT_SLACK=Off\
    -DFLB_IN_SYSTEMD=On\
    -DFLB_OUT_TD=Off\
    -DFLB_OUT_ES=On\
    -DFLB_SHARED_LIB=Off\
    -DFLB_TESTS_RUNTIME=Off\
    -DFLB_TESTS_INTERNAL=Off\
    -DFLB_RELEASE=On\
    -DFLB_DEBUG=Off\
    -DFLB_TLS=On\
    -DFLB_LUAJIT=Off
%cmake_build

%install
%cmake_install
# We don't ship headers and shared library for plugins (yet)
rm -rvf %{buildroot}%{_includedir}

%check
%ctest
 
%post
%systemd_post %{name}.service
 
%preun
%systemd_preun %{name}.service
 
%postun
%systemd_postun_with_restart %{name}.service
 
%files
%license LICENSE
%doc README.md MAINTAINERS.md CODE_OF_CONDUCT.md CONTRIBUTING.md GOLANG_OUTPUT_PLUGIN.md GOVERNANCE.md
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%{_unitdir}/%{name}.service
%{_bindir}/%{name}
 
%changelog
* Fri Jul 26 2024 Pengda Dou <doupengda@loongson.cn> - 2.1.8-2
- [Type] other
- [DESC] add loongarch64 to ExcludeArch

* Tue Sep 12 2023 jackeyji <jackeyji@tencent.com> - 2.1.8-1 
- initial build
